# Run tests in check section
%bcond_without check

%global goipath         github.com/neelance/sourcemap
%global commit          8c68805598ab8d5637b1a72b5f7d381ea0f39c31

%global common_description %{expand:
JavaScript source map reader & writer for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.3%{?dist}
Summary:        JavaScript source map reader & writer for Go
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.git8c68805
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git8c68805
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180418git623a5f9
- First package for Fedora

